<?php

echo unserialize('a:5:{i:1064;a:3:{s:4:\"gcId\";i:1064;s:6:\"gcName\";s:6:\"\xe5\x9b\xbe\xe4\xb9\xa6\";s:7:\"gcImage\";s:79:\"https://qmoss-01.oss-cn-hangzhou.aliyuncs.com/mall/common/category-pic-1064.jpg\";}i:1153;a:3:{s:4:\"gcId\";i:1153;s:6:\"gcName\";s:6:\"\xe6\x9c\x8d\xe8\xa3\x85\";s:7:\"gcImage\";s:79:\"https://qmoss-01.oss-cn-hangzhou.aliyuncs.com/mall/common/category-pic-1153.jpg\";}i:1212;a:3:{s:4:\"gcId\";i:1212;s:6:\"gcName\";s:6:\"\xe7\x94\x9f\xe9\xb2\x9c\";s:7:\"gcImage\";s:79:\"https://qmoss-01.oss-cn-hangzhou.aliyuncs.com/mall/common/category-pic-1212.jpg\";}i:1233;a:3:{s:4:\"gcId\";i:1233;s:6:\"gcName\";s:6:\"\xe7\xae\xb1\xe5\x8c\x85\";s:7:\"gcImage\";s:79:\"https://qmoss-01.oss-cn-hangzhou.aliyuncs.com/mall/common/category-pic-1233.jpg\";}i:1244;a:3:{s:4:\"gcId\";i:1244;s:6:\"gcName\";s:12:\"\xe7\xbe\x8e\xe5\xa6\x86\xe7\xbe\x8e\xe6\x8a\xa4\";s:7:\"gcImage\";s:79:\"https://qmoss-01.oss-cn-hangzhou.aliyuncs.com/mall/common/category-pic-1244.jpg\";}}');exit;
echo 24234;exit;
$redis =new Redis();
$redis->connect('127.0.0.1','6379');
$redis->rPush('test',0);
$res=$redis->lPop('test');
var_dump($res);

?>